%This script generates Figure 2b%
%Author: Qin Liu%

%read population data for USA, India, China and Global%
usa_ec=csvread('Figure_2b',0,0,[8,3,8,33]);
ind_ec=csvread('Figure_2b',0,0,[196,3,196,33]);
chn_ec=csvread('Figure_2b',0,0,[189,3,189,33]);
global_ec=csvread('Figure_2b',0,0,[227,3,227,33]);
year=csvread('Figure_2b',0,0,[1,3,1,33]);

%Calculations for cumulative data%
%& unit conversion%
usa=usa_ec/1000;
chn=(usa_ec'+chn_ec')/1000;
ind=(usa_ec'+ind_ec'+chn_ec')/1000;
globalec=global_ec/1000;

%generate the plot and set axis, labels, title and legend properties%
%Position may not be accurate%
plot(year,usa,'k-',year,ind,'k-',year,chn,'k-',year,globalec,'k-');
axis([1980,2010,0,7]);
axis square;
set(gca,'ytick',[0:1:7]);
t=title('Stack plot of global population');
t19=xlabel('Year');
t20=ylabel('Population (Billion)');
t21=text(.1,.8,'Data source: EIA');
set(t,'Fontsize',18);
set(t19,'Fontsize',18);
set(t20,'Fontsize',18);
set(t21,'Fontsize',17);
