%The script generates figure 7a%
%Author: Qin Liu%

%global CO_2 emission data%
ec_mov=csvread('TotalCO2',0,0,[1,3,224,34]);
%global population data%
pop_mov=csvread('Global_pop',0,0,[1,3,226,34]);
%CO_2 emission per capita for all countries%
ecpercap_mov=csvread('cepercap',0,0,[1,3,226,34]);
format long;

%calculate cumulative emission and cumulative population for all countries
%in 31 years from 1980 to 2010%
for j=1:31;
    ec=ec_mov(:,j);
pop=pop_mov(:,j);
ecpercap=ecpercap_mov(:,j);
data=[ecpercap,ec,pop];
lorentz=sortrows(data,1);
s_ec=lorentz(:,2);
s_pop=lorentz(:,3);
ecratio(:,j)=s_ec/sum(s_ec);
popratio(:,j)=s_pop/sum(s_pop);
for i=1:223;
    cm_ecratio(i,j)=sum(ecratio(1:i,j:j));
end
for i=1:223;
    cm_popratio(i,j)=sum(popratio(1:i,j:j));
end
x(:,j)=cm_popratio(:,j);
y(:,j)=x(:,j)+(1-x(:,j)).*log(1-x(:,j));
xc=0:0.0001:1;
yc=xc;
end
disp(cm_ecratio(:,1));
disp(cm_ecratio(:,31));

%generate the diagonal line%
plot(yc,xc,'k--');
hold on
%line of 2010%
plot(y(:,31),cm_ecratio(:,31),'r.-');
hold on
plot(y(:,21),cm_ecratio(:,21),'.-','Color',[0 .4 .3]);
hold on
plot(y(:,11),cm_ecratio(:,11),'.-','Color',[.3 .2 0]);
hold on
plot(y(:,1),cm_ecratio(:,1),'.-','Color',[0 0 1]);
hold on
%highlight few points representing some important countries%
circledx=[cm_popratio(86,1),cm_popratio(127,1),cm_popratio(130,1),cm_popratio(188,1),cm_popratio(195,1),cm_popratio(197,1),cm_popratio(214,1)];
highlightx=circledx+(1-circledx).*log(1-circledx);
highlighty=[cm_ecratio(86,1),cm_ecratio(127,1),cm_ecratio(130,1),cm_ecratio(188,1),cm_ecratio(195,1),cm_ecratio(197,1),cm_ecratio(214,1)];
plot(highlightx,highlighty,'b.','MarkerSize',25);
hold on
circledxx=[cm_popratio(79,31),cm_popratio(101,31),cm_popratio(151,31),cm_popratio(152,31),cm_popratio(174,31),cm_popratio(194,31),cm_popratio(210,31)];
highlightxx=circledxx+(1-circledxx).*log(1-circledxx);
highlightyy=[cm_ecratio(79,31),cm_ecratio(101,31),cm_ecratio(151,31),cm_ecratio(152,31),cm_ecratio(174,31),cm_ecratio(194,31),cm_ecratio(210,31)];
plot(highlightxx,highlightyy,'r.','MarkerSize',25);
hold off

%set axis properties%
axis([0,1,0,1]);
set(gca,'xtick',[0:0.1:1])
set(gca,'ytick',[0:0.1:1])
axis square;

%title, label and legend%
t=title('CO_{2} Emission Parameterized by Population');
t19=xlabel('Fraction of CO_{2} Emission (Theory)');
t20=ylabel('Fraction of CO_{2} Emission (Empirical)');
t21=text(.2,.7,'Data source: EIA');
set(t,'Fontsize',18);
set(t19,'Fontsize',18);
set(t20,'Fontsize',18);
set(t21,'Fontsize',18);
h=legend('Theory','2010','2000','1990','1980',2);
set(h,'Fontsize',18);
%positions may not be accurate%
%further ajustment will be needed%
t6=text(0.08,0.6,'Data Source: EIA');
t7=text(.93,.95,'USA');
t8=text(.33,.45,'CHN');
t9=text(.68,.66,'RUS');
t10=text(.62,.60,'FRA');
t11=text(.50,.55,'UK');
t12=text(.38,.22,'BRA');
t13=text(.32,.10,'IND');
t14=text(.23,.05,'IND');
t15=text(.57,.07,'CHN');
t16=text(.68,.08,'BRA');
t17=text(.84,.33,'UK');
t18=text(.92,.55,'FRA');
t18a=text(1.01,0.95,'USA');
t18b=text(0.925,0.57,'USSR');
set(t6,'Fontsize',18);
set(t7,'Fontsize',16,'Color','r');
set(t8,'Fontsize',16,'Color','r');
set(t9,'Fontsize',16,'Color','r');
set(t10,'Fontsize',16,'Color','r');
set(t11,'Fontsize',16,'Color','r');
set(t12,'Fontsize',16,'Color','r');
set(t13,'Fontsize',16,'Color','r');
set(t14,'Fontsize',16,'Color','b');
set(t15,'Fontsize',16,'Color','b');
set(t16,'Fontsize',16,'Color','b');
set(t17,'Fontsize',16,'Color','b');
set(t18,'Fontsize',16,'Color','b');
set(t18a,'Fontsize',16,'Color','b');
set(t18b,'Fontsize',16,'Color','b');


